groovy.lang

## Class MetaBeanProperty

- java.lang.Object
- - groovy.lang.MetaProperty
  - - groovy.lang.MetaBeanProperty

- Direct Known Subclasses:
    MixinInstanceMetaProperty, ThreadManagedMetaBeanProperty

      public class MetaBeanProperty
      extends MetaProperty

  Represents a property on a bean which may have a getter and/or a setter

- - ### Field Summary

    - ### Fields inherited from class groovy.lang.MetaProperty

      `name, PROPERTY_SET_PREFIX, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetaBeanProperty(java.lang.String name, java.lang.Class type, MetaMethod getter, MetaMethod setter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CachedField` | `getField()`
    `MetaMethod` | `getGetter()` Get the getter method.
    `int` | `getModifiers()`
    `java.lang.Object` | `getProperty(java.lang.Object object)` Get the property of the given object.
    `MetaMethod` | `getSetter()` Get the setter method.
    `void` | `setField(CachedField f)`
    `void` | `setProperty(java.lang.Object object, java.lang.Object newValue)` Set the property on the given object to the new value.

    - ### Methods inherited from class groovy.lang.MetaProperty

      `getGetterName, getName, getSetterName, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetaBeanProperty

          public MetaBeanProperty(java.lang.String name,
                          java.lang.Class type,
                          MetaMethod getter,
                          MetaMethod setter)

  - ### Method Detail

    - #### getProperty

          public java.lang.Object getProperty(java.lang.Object object)

      Get the property of the given object.
      Specified by:
        `getProperty` in class `MetaProperty`
      Parameters:
        `object` - which to be got
      Returns:
        the property of the given object
      Throws:
        `java.lang.RuntimeException` - if the property could not be evaluated

    - #### setProperty

          public void setProperty(java.lang.Object object,
                         java.lang.Object newValue)

      Set the property on the given object to the new value.
      Specified by:
        `setProperty` in class `MetaProperty`
      Parameters:
        `object` - on which to set the property
        `newValue` - the new value of the property
      Throws:
        `java.lang.RuntimeException` - if the property could not be set

    - #### getGetter

          public MetaMethod getGetter()

      Get the getter method.

    - #### getSetter

          public MetaMethod getSetter()

      Get the setter method.

    - #### getModifiers

          public int getModifiers()

      Overrides:
        `getModifiers` in class `MetaProperty`

    - #### setField

          public void setField(CachedField f)

    - #### getField

          public CachedField getField()